
QGIS Application - Bug report #429

default line width scale should be 0, not 1

2006-12-07 06:36 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category:

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 10488

Description

See the attached screendumps of the map composer with line width scale set to 0 and 1, respective PDF output and the original map

view. The map view, PDF output and the print composer view look most similar when the line width scale is 0. If the scale is 1 they differ a

lot.

Maciek

History

#1 - 2006-12-13 04:14 AM - Redmine Admin

- Resolution set to invalid

- Status changed from Open to Closed

The intention of line width scale is not to make the output look exactly like the map on the screen but to make it possible to print lines widths smaller or

bigger than those defined in vector properties. Usually printed output must look different to the map on screen.

IMO there is no universal value of scale which meets needs of everybody. 

The suggested value 0 does not make much sense because then all lines are drawn 

with the same width 0 and usually it is necessary to distinguish lines also by width.

I can see two different types of requested output:

1) good quality map with lines from cca 0.01 mm, in this case the scale must be 0.01

2) simple schematic maps with line width cca 1 mm

We can discuss which one is mostly used but as I dont see obvious proved 

answer I am going to close this request.

Radim

#2 - 2006-12-13 09:52 AM - anonymous -

Replying to [comment:1 rblazek]:

The intention of line width scale is not to make the output look exactly like the map on the screen but to make it possible to print lines widths smaller

or bigger than those defined in vector properties. Usually printed output must look different to the map on screen.

It's inconsistent. Either the print composer depends on the Map View for the print set up (colors, widths, symbology etc.), or not. Mixing both approaches
puzzles the user for no benefit.

IMO there is no universal value of scale which meets needs of everybody. 

The suggested value 0 does not make much sense because then all lines are drawn 

with the same width 0 and usually it is necessary to distinguish lines also by width.

I can see two different types of requested output:

1) good quality map with lines from cca 0.01 mm, in this case the scale must be 0.01

2) simple schematic maps with line width cca 1 mm

We can discuss which one is mostly used but as I dont see obvious proved 

answer I am going to close this request.

As the print composer largely depends on the Map View setup for the look of the printed map, I'd suggest 0.01, which will mimic the Map View most

closely.

Maciek

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
